/*
 * Created on 03.01.2005
 *
 * $Id: Croupier.java,v 1.2 2005/07/22 11:56:09 boehm Exp $
 */
package bank;

import java.io.*;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 03.01.2005
 * @version $revision$
 */
public class Croupier {
    
    /** Croupier kann nur 1 Spieler bedienen - das reicht vorerst */
    private Player player = null;

    public String welcome() {
        Reader istreamReader = new InputStreamReader(System.in);
        BufferedReader reader = new BufferedReader(istreamReader);
        System.out.print("Ihren Namen bitte: ");
        try {
            return reader.readLine();
        } catch (IOException unexpected) {
            unexpected.printStackTrace();
            return "Nobody";
        }        
    }
    
    /**
     * Der Spieler muss sich beim Croupier vorstellen.
     * @param name
     */
    public void login(String name) {
        this.login(new Player(name));
    }
    
    /**
     * Der Spieler muss sich beim Croupier anmelden.
     * @param john
     */
    public void login(Player john) {
        this.player = john;
        System.out.println("Guten Tag, " + this.player
                + " - Ihr Kontostand betraegt "
                + john.getKontostand() + " Chips");
    }

    public static void main(String[] args) {
        System.out.println ("Casino 'AOP' online - please enter :-)");
        Croupier croupier = new Croupier();
        String name = croupier.welcome();
        croupier.login(name);
    }

}
