/*
 * Created on 02-Jan-2005
 */
package bank;

/**
 * Ein einfaches Bankkonto fuer eine Casino-Loesung.
 * @author oliver
 */
public class Konto {

    /**
     * Wir sparen uns die Kontonummer und gehen davon aus, dass der
     * Inhaber eindeutig ist.
     */
    private String inhaber = null;
    private int kontostand = 0;
    
    public Konto(String name) {
        this.inhaber = name;
    }
    
    public Konto(String name, int einzahlung) {
        this(name);
        this.kontostand = einzahlung;
    }
    
    public String getInhaber() {
        return this.inhaber;
    }

    public int abfragen() {
        return this.kontostand;
    }
    
    public void einzahlen(int betrag) {
        kontostand = kontostand + betrag;
    }

    public void abheben(int betrag) {
        kontostand = kontostand - betrag;
    }

}
