/*
 * Created on 23.09.2004
 */
package bank;

import org.apache.log4j.*;
import org.aspectj.lang.*;

/**
 * @author oliver
 * @since 23.09.2004
 */
public aspect LogAspect {
    
    private static Logger log = Logger.getLogger(LogAspect.class);
    
    pointcut executeKontoMethods() :
        execution(public * Konto.*(..))
        || execution(public Konto.new(..));
    
    before() : executeKontoMethods() {
        Signature sig = thisJoinPoint.getSignature();
        log.info("starte " + sig.getName());
    }

}
