/*
 * Created on 17.01.2005
 *
 * $Id: Player.java,v 1.1 2005/06/24 13:56:06 boehm Exp $
 */
package bank;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 17.01.2005
 * @version $revision$
 */
public class Player {
    
    private String name;
    private Konto konto;

    /**
     * Die Player-Klasse darf ihr Konto selbst verwalten.
     * Als Startkapital nehmen wir die 5000 Cips aus der Aufgabenstellung.
     * 
     * @param name Spielername - dient gleichzeitig als Konto-Inhaber
     */
    public Player(String name) {
        this.name = name;
        this.konto = new Konto(name, 5000);
    }
    
    public int getKontostand() {
        return this.konto.abfragen();
    }
    
    public String toString() {
        return this.name;
    }

}
