/*
 * Created on 03.01.2005
 *
 * $Id$
 */
package casino;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 03.01.2005
 * @version $revision$
 */
public aspect KontoAspect {
    
    /**
     * Falls das Konto ueberzogen wird, wird automatisch eine Exception
     * ausgeloest.
     */
    before(int betrag, Konto kto) :
            execution(public void Konto.abheben(int))
            && args(betrag)
            && this(kto) {
        if (betrag > kto.abfragen()) {
            throw new RuntimeException("Konto ueberzogen");
        }
    }

}
