/*
 * Created on 04.01.2005
 *
 * $Id: Einsatz.java,v 1.1 2005/06/24 13:56:05 boehm Exp $
 */
package casino;

/**
 * Hier wird der Einsatz des Spielers abgespeichert.
 * 
 * @author <a href="mailto:boehm@javatux.de">oliver </a>
 * @since 04.01.2005
 * @version $revision$
 */
public class Einsatz {

    private int[] number = new int[37];
    private int pair;
    private int impair;
    private int red;
    private int black;
    private int manque;
    private int passe;

    public void setZahl(int n, int amount) {
        this.number[n] = amount;
    }

    public int getZahl(int n) {
        return this.number[n];
    }

    public void setPair(int amount) {
        pair = amount;
    }

    public int getPair() {
        return pair;
    }

    public void setImpair(int amount) {
        impair = amount;
    }

    public int getImpair() {
        return impair;
    }

    public void setRed(int amount) {
        red = amount;
    }

    public int getRed() {
        return red;
    }

    public void setBlack(int amount) {
        black = amount;
    }

    public int getBlack() {
        return black;
    }

    public void setManque(int amount) {
        manque = amount;
    }

    public int getManque() {
        return manque;
    }

    public void setPasse(int amount) {
        passe = amount;
    }

    public int getPasse() {
        return passe;
    }

    /**
     * Ermittelt den eingesetzten Betrag.
     * @return
     */
    public int getBetrag() {
        int amount = 0;
        for (int i = 0; i < number.length; i++) {
            amount += number[i];
        }
        amount += pair;
        amount += impair;
        amount += red;
        amount += black;
        amount += manque;
        amount += passe;
        return amount;
    }

}