/*
 * Created on 06.01.2005
 *
 * $Id$
 */
package casino.log;

import org.apache.log4j.*;
import casino.*;            // wichtig, sonst kennt er 'Einsatz' nicht
import casino.player.*;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 06.01.2005
 * @version $revision$
 */
public aspect PlayerLogging extends AbstractLoggingAspect {

    /*
     * do Logging
     */
    
    public static Logger log = Logger.getLogger(PlayerLogging.class);

    public Logger getLogger() {
        return log;
    }
    
    pointcut logPoints(Object x) : 
        (execution(public Einsatz RoulettePlayer+.getEinsatz())
        || execution(public void RoulettePlayer+.setGewinn(Einsatz)))
        && this(x);
    
}
