/*
 * Created on 06.01.2005
 *
 * $Id$
 */
package casino.log;

import org.apache.log4j.*;
import casino.*;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 06.01.2005
 * @version $revision$
 */
public aspect RouletteLogging extends AbstractLoggingAspect {

    public static Logger log = Logger.getLogger(RouletteLogging.class);

    public Logger getLogger() {
        return log;
    }

    pointcut logPoints(Object x) : 
        execution(public int Roulette.werfeKugel())
        && this(x);

}
