/*
 * Created on 28.02.2005
 *
 * $Id$
 */
package verkehrs.utils;

import java.util.List;
import java.util.Vector;

import verkehrs.utils.Observer;

public class Guarder {
    
    private List<Observer> list = new Vector<Observer>();

    public void addObserver(Observer observer) {
        list.add(observer);
    }
    
    public void removeObserver(Observer observer) {
        list.remove(observer);
    }
    
    public void notifyObserver() {
        for (Observer observer : list) {
            observer.sendNotify();
        }
    }

}
