/*
 * Created on 05.01.2005
 *
 * $Id$
 */
package casino.player;

import casino.Einsatz;

/**
 * Das Interface fuer eine Spieler am Roulette-Tisch.
 * 
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 05.01.2005
 * @version $revision$
 */
public interface RoulettePlayer {

    /**
     * Den Einsatz bitte!
     * @return
     */
    public Einsatz getEinsatz();

    /**
     * Den Gewinn, der fuer den Spieler ermittelt wurde.
     * @param gewinn
     */
    public void setGewinn(Einsatz gewinn);

    /**
     * Na, wieviel hat den der Spieler noch auf dem Konto?
     * @return
     * @author <a href="mailto:boehm@javatux.de">oliver</a>
     * @since  07.01.2005
     */
    public int getKontostand();

}