/*
 * Created on 06.01.2005
 *
 * $Id$
 */
package casino.log;

//import org.apache.log4j.*;
import org.apache.commons.logging.*;
import casino.*;

/**
 * Was gibt es Interessantes fuer die Roulette-Klasse zu protokollieren?
 * Schau 'mer mal.
 * 
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 06.01.2005
 * @version $revision$
 */
public aspect RouletteLogging extends AbstractLoggingAspect {

    //private static Logger log = Logger.getLogger(RouletteLogging.class);
    private static Log log = LogFactory.getLog(RouletteLogging.class);

    /**
     * Gibt den Logger fuer diesen Aspekt zurueck.
     */
    public Log getLogger() {
        return log;
    }

    /** werfeKugel() und Attribut ueberwachen */
    pointcut logPoints(Object x) : 
        (execution(public int Roulette.werfeKugel())
        || (((set(int Roulette.wurf) || get(int Roulette.wurf))
            && !within(Roulette))))
        && this(x);

}
