/*
 * Created on 15.04.2005
 *
 * $Id$
 */
package pattern.test;

import java.io.File;

import junit.framework.TestCase;

public class BugPatternTest extends TestCase {

    public static void main(String[] args) {
        junit.textui.TestRunner.run(BugPatternTest.class);
    }

    protected void setUp() throws Exception {
        super.setUp();
    }
    
    public void testCallWithNull1() {
        String nullstring = null;
        try {
            String s = new String(nullstring);
            fail("where is the expected NullPointerException?");
        } catch (NullPointerException expected) {}
    }
    
    public void testCallWithNull2() {
        try {
            File file = new File("dummy", null);
            fail("where is the expected NullPointerException?");
        } catch (NullPointerException expected) {}
    }
    
    public void testReturnNull() {
        try {
            returnNull();
        fail("where is the expected NullPointerException?");
        } catch (NullPointerException expected) {}
    }
    
    private String returnNull() {
        return null;
    }

}
